"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mbed_cloud_sdk_1 = require("mbed-cloud-sdk");
var ConnectApiManager = /** @class */ (function () {
    function ConnectApiManager() {
    }
    ConnectApiManager.Instance = function (node, config) {
        var api = this.getApi(node);
        if (api) {
            return api;
        }
        else {
            var newApi = new mbed_cloud_sdk_1.ConnectApi({
                apiKey: config.credentials.apikey,
                host: config.host
            });
            newApi.startNotifications();
            this.addToContext(newApi, node);
            return newApi;
        }
    };
    ConnectApiManager.addToContext = function (api, node) {
        var context = node.context().global;
        context.set("connectApi", api);
        return api;
    };
    ConnectApiManager.getApi = function (node) {
        var context = node.context().global;
        return context.get("connectApi");
    };
    return ConnectApiManager;
}());
exports.ConnectApiManager = ConnectApiManager;
